#
# spec file for package python-unum
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname Unum
%define pyname  unum
Name:           python-%{pyname}
Version:        4.1.3
Release:        1.1
Summary:        Defining and manipulating true quantities in Python
License:        LGPL-3.0
Group:          Development/Languages/Python
Url:            http://bitbucket.org/kiv/unum/
Source0:        https://pypi.python.org/packages/source/U/Unum/%{modname}-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-setuptools
BuildRequires:  unzip
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Unum stands for 'unit-numbers'. It is a pure Python module that allows defining
and manipulating true quantities, i.e. numbers with units like volts, hours, 
meter-per-second. Consistency between units is checked at each expression
evaluation; unit conversion and unit output formatting are performed automatically
when needed. It is stable, lightweight and easy-to-use.

%prep
%setup -q -n %{modname}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -r %{buildroot}%{python_sitelib}/tests/
%fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt
%{python_sitelib}/%{pyname}
%{python_sitelib}/%{modname}-%{version}-py%{py_ver}.egg-info/

%changelog
* Fri Nov 15 2013 p.drouand@gmail.com
- Update to version 4.1.3
  + No changelog available
- Use tarball from pypi
- Use download Url as source
- Change Group for standard one
- Change Url for real one
- Remove redundant %%clean section
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Jun  1 2012 toddrme2178@gmail.com
- Cleanup spec file
- Add .changes file
* Sat Apr  2 2011 scorot@gtt.fr
- Correct package group
* Fri Apr  1 2011 scorot@gtt.fr
- first package
